Subject: Re: bug#48269: 27.1: log-edit-generate-changelog-from-diff FAILURE

From: Filipp Gunbin <[email-masked]>
Date: Mon, 10 May 2021 01:58:25 +0300

On 09/05/2021 14:44 -0400, Boruch Baum wrote:

>> I was just trying to help you (and all the other Emacs users) to find
>> the information more efficiently next time.  No matter how hard we
>> work on it, there will always be deficiencies in Emacs documentation
>> (as in any other software documentation), so relying on the developers
>> to get everything 110% correct is impractical, assuming we all have
>> something else to do other than read the documentation.
>
> The most efficent way seems to me to add the sanity-check to the code.

Frankly, I don't get it: the function we talk about starts with its
mode's prefix (log-edit), is bound to key in that (and derived) modes,
so why would a user just randomly call it in an unprepared buffer?  I
mean, the sanity check will be an over-defense, IMO.

Filipp